Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:40 2009

## Asterisk developer's documentation

# iax2_user Struct Reference

Collaboration diagram for iax2_user:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
int | amaflags
int | authmethods
enum calltoken_peer_enum | calltoken_required
int | capability
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
struct iax2_context * | contexts
int | curauthreq
char | dbsecret [80]
int | encmethods
unsigned int | flags
struct ast_ha * | ha
char | inkeys [80]
char | language [MAX_LANGUAGE]
int | maxauthreq
char | name [80]
struct iax2_user * | next
struct ast_codec_pref | prefs
char | secret [80]
struct ast_variable * | vars

## Detailed Description

Definition at line 299 of file chan_iax2.c.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

Definition at line 305 of file chan_iax2.c.

Referenced by build_user(), and check_access().

int amaflags

Definition at line 308 of file chan_iax2.c.

Referenced by build_user(), and check_access().

int authmethods

Definition at line 303 of file chan_iax2.c.

Referenced by build_user(), check_access(), and iax2_show_users().

enum calltoken_peer_enum calltoken_required

Is calltoken validation required or not, can be YES, NO, or AUTO

Definition at line 320 of file chan_iax2.c.

Referenced by build_user(), calltoken_required(), and requirecalltoken_mark_auto().

int capability

Definition at line 310 of file chan_iax2.c.

Referenced by build_user(), and check_access().

char cid_name[AST_MAX_EXTENSION]

Definition at line 314 of file chan_iax2.c.

Referenced by build_user(), and check_access().

char cid_num[AST_MAX_EXTENSION]

Definition at line 313 of file chan_iax2.c.

Referenced by build_user(), and check_access().

struct iax2_context* contexts`[read]`

Definition at line 317 of file chan_iax2.c.

Referenced by build_user(), check_access(), destroy_user(), and iax2_show_users().

int curauthreq

Current number of outstanding AUTHREQs

Definition at line 312 of file chan_iax2.c.

Referenced by authenticate_request(), authenticate_verify(), build_user(), iax2_destroy_helper(), and iax2_predestroy().

char dbsecret[80]

Definition at line 302 of file chan_iax2.c.

Referenced by build_user(), and check_access().

int encmethods

Definition at line 304 of file chan_iax2.c.

Referenced by build_user(), and check_access().

unsigned int flags

Definition at line 309 of file chan_iax2.c.

struct ast_ha* ha`[read]`

Definition at line 316 of file chan_iax2.c.

Referenced by build_user(), check_access(), destroy_user(), and iax2_show_users().

char inkeys[80]

Key(s) this user can use to authenticate to us

Definition at line 306 of file chan_iax2.c.

Referenced by build_user(), check_access(), and iax2_show_users().

char language[MAX_LANGUAGE]

Definition at line 307 of file chan_iax2.c.

Referenced by build_user(), and check_access().

int maxauthreq

Maximum allowed outstanding AUTHREQs

Definition at line 311 of file chan_iax2.c.

Referenced by authenticate_request(), build_user(), and check_access().

char name[80]

Definition at line 300 of file chan_iax2.c.

Referenced by authenticate_request(), authenticate_verify(), build_user(), check_access(), find_user(), iax2_destroy_helper(), iax2_predestroy(), and iax2_show_users().

struct iax2_user* next`[read]`

Definition at line 318 of file chan_iax2.c.

Referenced by authenticate_request(), authenticate_verify(), build_user(), check_access(), delete_users(), find_user(), iax2_destroy_helper(), iax2_predestroy(), iax2_show_users(), prune_users(), realtime_user(), and set_config().

struct ast_codec_pref prefs`[read]`

Definition at line 315 of file chan_iax2.c.

Referenced by build_user(), and check_access().

char secret[80]

Definition at line 301 of file chan_iax2.c.

Referenced by build_user(), check_access(), and iax2_show_users().

struct ast_variable* vars`[read]`

Definition at line 319 of file chan_iax2.c.

Referenced by build_user(), check_access(), and destroy_user().

The documentation for this struct was generated from the following file:

- chan_iax2.c